#ifndef CORE_TYPES_HPP
#define CORE_TYPES_HPP

#include <cstddef>
#include <cstdint>

typedef int64_t i64;
typedef int32_t i32;
typedef int16_t i16;
typedef int8_t i8;
typedef uint64_t u64;
typedef uint32_t u32;
typedef uint16_t u16;
typedef uint8_t u8;
#define ARRAY_LENGTH(array) (sizeof(array) / sizeof(*array))

typedef size_t (*ToString)(const void* data, char* buffer, size_t n);

#endif
